# Uses of Class
it.tdlight.jni.TdApi.PremiumGiveawayParameters

## Uses of TdApi.PremiumGiveawayParameters in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.PremiumGiveawayParameters
Modifier and Type
Field
Description
`TdApi.PremiumGiveawayParameters`
TdApi.LaunchPrepaidPremiumGiveaway.`parameters`
Giveaway parameters.
`TdApi.PremiumGiveawayParameters`
TdApi.MessagePremiumGiveaway.`parameters`
Giveaway parameters.
`TdApi.PremiumGiveawayParameters`
TdApi.StorePaymentPurposePremiumGiveaway.`parameters`
Giveaway parameters.
`TdApi.PremiumGiveawayParameters`
TdApi.TelegramPaymentPurposePremiumGiveaway.`parameters`
Giveaway parameters.
Constructors in it.tdlight.jni with parameters of type TdApi.PremiumGiveawayParameters
Modifier
Constructor
Description
``
`LaunchPrepaidPremiumGiveaway(long giveawayId, TdApi.PremiumGiveawayParameters parameters)`
Launches a prepaid Telegram Premium giveaway.
``
`MessagePremiumGiveaway(TdApi.PremiumGiveawayParameters parameters, int winnerCount, int monthCount, TdApi.Sticker sticker)`
A Telegram Premium giveaway.
``
`StorePaymentPurposePremiumGiveaway(TdApi.PremiumGiveawayParameters parameters, String currency, long amount)`
The user creating a Telegram Premium giveaway.
``
`TelegramPaymentPurposePremiumGiveaway(TdApi.PremiumGiveawayParameters parameters, String currency, long amount, int winnerCount, int monthCount)`
The user creating a Telegram Premium giveaway.